{
  name = "tor";
  machine = { config, lib, pkgs, ... }: {
    # imports = [ ../nixos-modules/systemd.nix ];

    # genode.core.storeBackend = "fs";
    # hardware.genode.usb.enable = true;
    # hardware.genode.usb.storage.enable = true;

    services.tor = {
      enable = true;
      client.enable = false;
      extraConfig = ''
        Log [general,net,config,fs]debug stdout
      '';
      relay = {
        enable = true;
        port = 80;
        role = "relay";
        bridgeTransports = [ ];
      };
    };
    systemd.services.tor.genode = {
      enable = true;
      ramQuota = 300;
    };
  };
}
